# StageLogGetVisible

This function returns whether a stage is printed during PetscLogPrintSummary()

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogGetVisible(StageLog stageLog, int stage, PetscTruth *isVisible)

Not Collective

### Input Parameters

| stageLog | - The StageLog
| stage | - The stage to log

### Output Parameter

isVisible -The visibility flag, PETSC_TRUE for printing, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Database Options

-log_summary -Activates log summary

### Keywords

log, visible, stage

### See Also

StageLogSetVisible(), StageLogGetCurrent(), StageLogRegister(), PetscLogGetStageLog()

Level:intermediate
Location: src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages